Uploaded image for project: 'Apache Cordova'
  1. Apache Cordova
  2. CB-9166

Invalid plugin.xml of Vibration plugin

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 1.1.0, Master
    • Fix Version/s: None
    • Labels:
      None

      Description

      The fix introduced for CB-8930 made the plugin.xml of the Vibration plugin invalid. The validation fails with the following error:

      [Fatal Error] plugin.xml:79:61: The value of attribute "versions" associated with an element type "framework" must not contain the '<' character.

      This is the error I see when I try to install the latest version 1.1.0 of the plugin using Eclipse THyM. The same error can be seen using an online XML validator like http://www.xmlvalidation.com/

      Is it possible to use a different notation in the plugin.xml that can still resolve CB-8930 and keep the plugin.xml valid at the same time?

        Attachments

          Activity

            People

            • Assignee:
              robpaveza Rob Paveza
              Reporter:
              kaloyan-raev Kaloyan Raev
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: